address:
  class: sfDoctrineRouteCollection
  options:
    url:                  /:module/:action/:id/:parent_id
    model:                Address
    module:               address
    prefix_path:          address
    column:               id
    with_wildcard_routes: true
  
address_state:
    url:    /country/liststates/:country_id
    param:  { module: country, action: Statelist}

assign:
  url: /assign
  param: { module: assign, action: index }

assign_process:
  url:        /assign/assign/:id
  param:      { module: assign, action: assign }
  column:     id

address_autocomplete:
  url: /emailmsg/autocomplete
  param: { module: emailmsg, action: autocomplete }

phone_autocomplete:
  url: /phone/autocomplete
  param: { module: phone, action: autocomplete }

ship_method_by_carrier:
  url:  /ship/method_list/:carrier_id
  param:  { module: ship, action: ShipMethodByCarrier }

ship_method_by_carrier_ajax:
  url:  /ship/method_list/
  param:  { module: ship, action: ShipMethodByCarrier }
         
dashboard:
  url: /dashboard
  param: { module: dashboard, action: index }

warehouse:
  class: sfDoctrineRouteCollection
  options:
    model:                Warehouse
    module:               warehouse
    prefix_path:          warehouse
    column:               id
    with_wildcard_routes: true

quote:
  class: sfDoctrineRouteCollection
  options:
    model:                Quote
    module:               quote
    prefix_path:          quote
    column:               id
    with_wildcard_routes: true
 
quoteitem:
  class: sfDoctrineRouteCollection
  options:
    model:                QuoteItem

quoteshipment:
  class: sfDoctrineRouteCollection
  options:
    model:                QuoteShipment
    with_wildcard_routes: true

quote_shipment_save:
  url:  /quoteshipment/:id/save/:fq_quote_id/:fq_option_id/:cost/:transit
  param:  { module: quoteshipment, action : saveFreightQuote }
      
quote_search:
    url:    /quote/search/*
    param:  { module: quote, action: search}
    
order_search:
    url:    /order/search/*
    param:  { module: order, action: search}

order:
  class: sfDoctrineRouteCollection
  options:
    model:                Order
    module:               order
    prefix_path:          order
    with_wildcard_routes: true

order_convert:
  url:  /order/convert/:quote_id
  param:  { module: order, action: convert }

order_new:
  url:  /order/new/:quote_id
  param:  { module: order, action: new }
  
orderitem:
  class: sfDoctrineRouteCollection
  options:
    model:                OrderItem

ordershipment:
  class: sfDoctrineRouteCollection
  options:
    model:                Ordershipment
    module:               ordershipment
    with_wildcard_routes: true

ordertransaction:
  class: sfDoctrineRouteCollection
  options:
    model:                OrderTransaction
    module:               ordertransaction
    with_wildcard_routes: true

ordertransaction_search:
    url:    /ordertransaction/search/*
    param:  { module: ordertransaction, action: search}
    
ordershipment_list:
  url:        /ordershipment/list/:id
  param:      { module: ordershipment, action: updatelist }
  column:     id

document:
  class: sfDoctrineRouteCollection
  options:
    model:                OrderDocument
    module:               document
    with_wildcard_routes: true

documentdetail:
  class: sfDoctrineRouteCollection
  options:
    model:                OrderDocumentDetail
    module:               documentdetail
    with_wildcard_routes: true

productcategory:
  class: sfDoctrineRouteCollection
  options:
    model:                ProductCategory
    module:               productcategory
    prefix_path:          productcategory
    column:               id
    with_wildcard_routes: true

attributeset:
  class: sfDoctrineRouteCollection
  options:
    model:                AttributeSet
    module:               attributeset
    prefix_path:          attributeset
    column:               id
    with_wildcard_routes: true

productattribute:
  class: sfDoctrineRouteCollection
  options:
    model:                ProductAttribute
    module:               productattribute
    prefix_path:          productattribute
    column:               id
    with_wildcard_routes: true
        
product:
  class: sfDoctrineRouteCollection
  options:
    model:                Product
    module:               product
    prefix_path:          product
    column:               id
    with_wildcard_routes: true
    
productline:
  class: sfDoctrineRouteCollection
  options:
    model:                ProductLine
    module:               productline
    prefix_path:          productline
    column:               id
    with_wildcard_routes: true
            
warehouse_search:
    url:    /warehouse/search/*
    param:  { module: warehouse, action: search}
  
contact:
  class: sfDoctrineRouteCollection
  options:
    model:                Contact
    module:               contact
    prefix_path:          contact
    column:               id
    with_wildcard_routes: true

contact_search:
    url:    /contact/search/*
    param:  { module: contact, action: search}

account:
  class: sfDoctrineRouteCollection
  options:
    model:                Account
    module:               account
    prefix_path:          account
    column:               id
    with_wildcard_routes: true

autocomplete_account:
  url: /autocomplete/account
  param: {module: account, action:autocomplete}
  
account_search:
    url:    /account/search/*
    param:  { module: account, action: search}

artistic_address:
  url:  /test/artisticaddress
  param: { module: test, action: artisticAddress }
  
test:
    url: /test
    param: { module: test, action: index }

emailmsg:
  class: sfDoctrineRouteCollection
  options:
    model:                Email
    module:               emailmsg
    prefix_path:          emailmsg
    column:               id
    with_wildcard_routes: true

template:
  class: sfDoctrineRouteCollection
  options:
    model:                Template
    module:               template
    prefix_path:          template
    column:               id
    
phone:
  class: sfDoctrineRouteCollection
  options:
    model:                Phone
    module:               phone
    prefix_path:          phone
    column:               id    

voicemail:
  class: sfDoctrineRouteCollection
  options:
    model:                Voicemail
    module:               voicemail
    prefix_path:          voicemail
    column:               id
    with_wildcard_routes: true

voicemail_search:
    url:    /voicemail/search
    param:  { module: voicemail, action: search}

claim:
  class: sfDoctrineRouteCollection
  options:
    model:                Claim
    with_wildcard_routes: true
claim_search:
  url:    /claim/search
  param:  { module: claim, action: search}
  
claimfile:
  class: sfDoctrineRouteCollection
  options:
    model:                ClaimFile

gallery:
  class: sfDoctrineRouteCollection
  options:
    model:                Gallery

gallery_image_upload:
  url:  /galleryimage/swfupload
  param: { module: galleryimage, action: swfUpload }
      
sf_guard_signin:
  url:   /login
  param: { module: sfGuardAuth, action: signin }

sf_guard_signout:
  url:   /logout
  param: { module: sfGuardAuth, action: signout }

sf_guard_password:
  url:   /request_password
  param: { module: sfGuardAuth, action: password }    

# this is the url used by the full jquery call on select of the template
parse_template:
  url: /template/parse/:quote_id/:template_id
  param: { module: template, action: parse }

#used for the select list / jquery call to the template parse
parse_temp:
  url: /template/parse/:quote_id
  param: { module: template, action: parse }

inv:
  url: /inv/:action/:id


inv_index:
  url: /inv
  param: {module: inv, action:index }

inv_br:
  url: /inv/br/*
  param: {module: inv, action:br }
  
reporting:
  url: /reporting
  param: { module: reporting, action: index }
  
# default rules
homepage:
  url:   /
  param: { module: dashboard, action: index}

ring:
    url:    /proxy/ring
    param: { module: proxy, action: ring }


ship:
  url: /:module/:action      

ship_acc:
  url: /ship/accessories
  param: { module: ship, action: accessories }
  
#default_index:
#  url:   /:module
#  param: { action: index }

#default:
#  url:   /:module/:action/*